Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • Announcement banner
  • App data policies
  • App migration
  • App properties
  • Application roles
  • Audit records
  • Avatars
  • Classification levels
  • Dashboards
  • Dynamic modules
  • Field schemes
  • Filter sharing
  • Filters
  • Group and user picker
  • Groups
  • Issue attachments
  • Issue comment properties
  • Issue comments
  • Issue custom field associations
  • Issue custom field configuration (apps)
  • Issue custom field contexts
  • Issue custom field options
  • Issue custom field options (apps)
  • Issue custom field values (apps)
  • Issue field configurations
  • Issue fields
  • Issue navigator settings
  • Issue notification schemes
  • Issue priorities
  • Issue properties
  • Issue redaction
  • Issue resolutions
  • Issue security level
  • Issue security schemes
  • Issue type properties
  • Issue type schemes
  • Issue type screen schemes
  • Issue types
  • Issue votes
  • Issue watchers
  • Issue worklog properties
  • Issue worklogs
  • Issues
  • JQL
  • JQL functions (apps)
  • Jira expressions
  • Jira settings
  • Labels
  • License metrics
  • Migration of Connect modules to Forge
  • Myself
  • Permission schemes
  • Permissions
  • Plans
  • Priority schemes
  • Project avatars
  • Project categories
  • Project classification levels
  • Project components
  • Project email
  • Project features
  • Project key and name validation
  • Project permission schemes
  • Project properties
  • Project role actors
  • Project roles
  • Project templates
  • Project types
  • Project versions
  • Projects
  • Screen schemes
  • Screen tab fields
  • Screen tabs
  • Screens
  • Server info
  • Service Registry
  • Status
  • Tasks
  • Teams in plan
  • Time tracking
  • UI modifications (apps)
  • User properties
  • Users
  • Webhooks
  • Workflow scheme drafts
  • Workflow scheme project associations
  • Workflow schemes
  • Workflow status categories
  • Workflow statuses
  • Workflow transition properties
  • Workflow transition rules
  • Workflows
  • Other operations
Cloud
Jira Cloud platform / Reference / REST API v2

Migration of Connect modules to Forge

Postman Collection
OpenAPI

This resource supports the migration of some Connect modules to their equivalent Forge modules.

GET

Get Connect issue field migration task

Returns the details of a Connect issue field's migration to Forge.

When migrating a Connect app to Forge, Issue Field modules must be converted to Custom field. When the Forge version of the app is installed, Forge creates a background task to track the migration of field data across. This endpoint returns the status and other details of that background task.

For more details, see Jira modules > Jira Custom Fields.

Permissions required: Only Connect and Forge apps can make this request.

Data Security Policy: Exempt from app access rules
Scopes
read:jira-work

Connect app scope requiredNONE

Request

Path parameters

connectKey

string

Required
jiraIssueFieldsKey

string

Required

Responses

Returned if the request is successful and a migration task is found.

application/json

TaskProgress

Details about a task.

GET/rest/atlassian-connect/1/migration/{connectKey}/{jiraIssueFieldsKey}/task
1 2 3 4 5 6 7 8 9 10 11 12 // This sample uses Atlassian Forge // https://developer.atlassian.com/platform/forge/ import { requestJira } from "@forge/bridge"; const response = await requestJira(`/rest/atlassian-connect/1/migration/{connectKey}/{jiraIssueFieldsKey}/task`, { headers: { 'Accept': 'application/json' } }); console.log(`Response: ${response.status} ${response.statusText}`); console.log(await response.json());
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 { "description": "<string>", "elapsedRuntime": 48, "finished": "<string>", "id": "<string>", "lastUpdate": "<string>", "message": "<string>", "progress": 51, "self": "<string>", "started": "<string>", "status": "ENQUEUED", "submitted": "<string>", "submittedBy": 42 }

Rate this page: